<template>
    <div>
        <!-- 查询表单 -->
        <el-form :model="dataForm" status-icon ref="dataForm" label-width="100px" style="margin-top:10px;">
            <el-row>
                <el-col :xs="24":sm="12":md="12":lg="12":xl="12">
                    <el-form-item label="统一编号" prop="unityNo">
                        <el-input type="text" v-model="dataForm.unityNo"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :xs="24":sm="12":md="12":lg="12":xl="12">
                    <el-form-item label="设备名称" prop="deviceName">
                        <el-input v-model="dataForm.deviceName"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :xs="24":sm="12":md="12":lg="12":xl="12">
                    <el-form-item label="设备型号" prop="deviceNum">
                        <el-input type="text" v-model="dataForm.deviceNum"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :xs="24":sm="12":md="12":lg="12":xl="12">
                    <el-form-item label="设备规格" prop="deviceStandard">
                        <el-input type="text" v-model="dataForm.deviceStandard"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :xs="24":sm="12":md="12":lg="12":xl="12">
                    <el-form-item label="使用单位" prop="useUnit">
                        <el-select v-model="dataForm.useUnit" placeholder="---请选择---">
                            <el-option
                            v-for="item in useUnit"
                            :key="item.value"
                            :label="item.label"
                            :value="item.value">
                            </el-option>
                        </el-select>
                    </el-form-item>
                </el-col>
            </el-row>
        </el-form>
        <!-- biaoge -->
        <el-table
            ref="tableData"
			stripe
            :data="tableData"
            style="width: 100%"
            border
            @selection-change="handleSelectionChange">
            <el-table-column
                type="selection"
                width="55">
            </el-table-column>
            <el-table-column
                label="统一编号"
                prop="unityNo">
                <template slot-scope="scope">{{ scope.row.unityNo }}</template>
            </el-table-column>
            <el-table-column
                label="设备名称"
                prop="deviceName">
            </el-table-column>
            <el-table-column
                label="设备规格"
                prop="deviceStandard">
            </el-table-column>
            <el-table-column
                label="设备型号"
                prop="deviceType">
            </el-table-column>
            <el-table-column
                label="使用部门"
                prop="useDepartment">
            </el-table-column>
            <el-table-column
                label="出厂日期"
                prop="outFactoryDate">
            </el-table-column>
            <el-table-column
                label="设备类别"
                prop="deviceCategory">
            </el-table-column>
            <el-table-column
                label="设备状态"
                prop="deviceStatus">
            </el-table-column>
            <el-table-column
                label="账务属性"
                prop="financePro">
            </el-table-column>
            <el-table-column
                label="安装地点"
                prop="installSite">
            </el-table-column>
            <el-table-column
                label="编辑"
                prop="editor">
            </el-table-column>
            <el-table-column
                label="生产厂家"
                prop="makeVender">
            </el-table-column>
            <el-table-column
                label="投产日期"
                prop="putIntoDate">
            </el-table-column>
            <el-table-column
                label="是否关键设备"
                width="110"
                prop="isKeyDevice">
            </el-table-column>
            <el-table-column
                width="110"
                label="是否精密设备"
                prop="isPerDevice">
            </el-table-column>
            <el-table-column
                label="投产日期"
                prop="putIntoDate">
            </el-table-column>
            <el-table-column
                label="国别"
                prop="contry">
            </el-table-column>
            <el-table-column
                width="110"
                label="设备原值(元)"
                prop="deviceValue">
            </el-table-column>
            <el-table-column
                width="110"
                label="设备重量(kg)"
                prop="deviceWeight">
            </el-table-column>
            <el-table-column
                width="110"
                label="电气复杂系数"
                prop="electricComplex">
            </el-table-column>
            <el-table-column
                width="110"
                label="机械复杂系数"
                prop="deviceComplex">
            </el-table-column>
            <el-table-column
                width="120"
                label="设备净现值(元)"
                prop="deviceNowValue">
            </el-table-column>
            <el-table-column
                label="备注"
                prop="remark">
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
export default {
  data() {
    return {
      dataForm: {
        unityNo: '', // 统一编号
        deviceName: '', // 设备名称
        useUnit: '', // 使用单位
        deviceNum: '', // 设备型号
        deviceStandard: '' // 设备规格
      },
      tableData: []
    }
  }
}
</script>

<style>

</style>
